# TypeProviders: getType

> [!NOTE]
> **Note:** Requires [authorization](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/getType#auth).

Gets a type info for a type provided by a TypeProvider.
[Try it now](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/getType#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/deploymentmanager/v2beta/projects/project/global/typeProviders/typeProvider/types/type
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID for this request. |
| `type` | `string` | The name of the type provider type for this request. |
| `typeProvider` | `string` | The name of the type provider for this request. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/cloud-platform.read-only` |
| `https://www.googleapis.com/auth/ndev.cloudman.readonly` |
| `https://www.googleapis.com/auth/cloud-platform` |
| `https://www.googleapis.com/auth/ndev.cloudman` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "name": string,
  "title": string,
  "description": string,
  "documentationLink": string,
  "schema": {
    "input": string,
    "output": string
  },
  "kind": string,
  "selfLink": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `name` | `string` | The base type or composite type name. |   |
| `title` | `string` | The title on the API descriptor URL provided. |   |
| `description` | `string` | The description of the type. |   |
| `documentationLink` | `string` | For swagger 2.0 [externalDocs](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/\"http:/swagger.io/specification#swaggerExternalDocs\") field will be used. For swagger 1.2 this field will be empty. |   |
| `schema` | `nested object` | For base types with a collection, we return a schema and documentation link For template types, we return only a schema |   |
| `schema.input` | `string` | The properties that this composite type or base type collection accept as input, represented as a json blob, format is: [JSON Schema Draft V4](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/\"http:/json-schema.org/documentation.html\") |   |
| `schema.output` | `string` | The properties that this composite type or base type collection exposes as output, these properties can be used for references, represented as json blob, format is: [JSON Schema Draft V4](https://docs.cloud.google.com/deployment-manager/docs/reference/v2beta/typeProviders/\"http:/json-schema.org/documentation.html\") |   |
| `kind` | `string` | Output only. Type of the output. Always \`deploymentManager#TypeInfo\` for TypeInfo. |   |
| `selfLink` | `string` | Output only. Self link for the type provider. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.